Bug 1124322 - engine-setup checks availability of the setup packages even with --offline
Summary: engine-setup checks availability of the setup packages even with --offline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-setup-plugins
Version: 3.5.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: movciari
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.5beta 1156165 1273342
TreeView+ depends on / blocked
 
Reported: 2014-07-29 08:54 UTC by Yaniv Lavi
Modified: 2015-10-20 09:08 UTC (History)
11 users (show)

Fixed In Version: rhevm-setup-plugins-3.5.0-0.3.master.el6_5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1273342 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:45:24 UTC
oVirt Team: ---


Attachments (Terms of Use)
Log (277.95 KB, text/x-log)
2014-07-29 08:54 UTC, Yaniv Lavi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0196 normal SHIPPED_LIVE rhevm-setup-plugins bug fix and enhancement update 2015-02-11 22:35:33 UTC
Red Hat Bugzilla 1083104 None None None Never

Internal Links: 1083104

Description Yaniv Lavi 2014-07-29 08:54:10 UTC
Created attachment 922074 [details]
Log

Description of problem:
When running downstream setup the --offline doesn't work as expected, since it uses yum to check if setup package is available in any repo. This means that only way to install packages from private build is adding local repo. Also no way to run setup and not use yum.

Version-Release number of selected component (if applicable):
3.5.0

How reproducible:
Always

Steps to Reproduce:
1. build rhevm with minimead
2. install on el6
3. run engine-setup --offline

Actual results:
fails on setup package not found via yum

Expected results:
Should not use yum if --offline is chosen

Additional info:
Attached log

Comment 1 Yedidyah Bar David 2014-07-29 09:35:53 UTC
Not sure what's the best way to solve this - '--offline' does not set any specific flag, it just disables yum packager and enables "offlinepackager".

offlinepackager is a trivial packager that reports just an installed version of vdsm '999.9.9' if queried about vdsm, otherwise an empty list. Not sure what we need this 'vdsm' thing for.

Possible solutions I can think of:
1. Just check if offlinepackager is true or false
2. Add to the fixed list of offlinepackager also the setup package
3. Make '--offline' an independent new env key and check it (and convert existing code in the shell wrapper to python code that will set other env based on this new key)
4. Make offlinepackager extensible (allow other code add stuff to it in addition to 'vdsm').

A possible workaround is to pass to env: 'OVESETUP_RPMDISTRO/engineSetupPackages=str:'. Didn't verify that.

Sandro - please comment...

Comment 2 Sandro Bonazzola 2014-07-29 10:27:37 UTC
As far as I can remember, offline-packager was supposed to install all required dependencies and tell setup that required package is in and no updates are available.

Adding Alon to the discussion.

Comment 3 Alon Bar-Lev 2014-07-29 10:59:54 UTC
in case of --offline we should not access miniyum, so we need also to disable the ovirt-engine-common/distro-rpm/packages.py explicit access to yum.

Comment 4 Yedidyah Bar David 2014-07-29 11:08:40 UTC
Actually distro-rpm/packages.py checks OFFLINE_PACKAGER . I'll do that too.

Comment 7 errata-xmlrpc 2015-02-11 17:45:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0196.html


Note You need to log in before you can comment on or make changes to this bug.